Bug 1011971 - System settings returned via CLI contain old server version after upgrade to jon3.2.ER1
System settings returned via CLI contain old server version after upgrade to ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Upgrade (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity low
: ER04
: JON 3.2.0
Assigned To: Lukas Krejci
Mike Foley
:
Depends On:
Blocks: 1010354
  Show dependency treegraph
 
Reported: 2013-09-25 09:19 EDT by Filip Brychta
Modified: 2014-01-02 15:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:34:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2013-09-25 09:19:54 EDT
Description of problem:
I upgraded a JON server from JON3.1.0.GA to jon3.2.ER1 and following CLI command  
SystemManager.getSystemSettings(); returns old server version (4.4.0.JON310GA).



Steps to Reproduce:
1. install JON3.1.0.GA
2. upgrade it to jon3.2.ER1
3. run CLI command SystemManager.getSystemSettings();

Actual results:
...
SERVER_VERSION                            4.4.0.JON310GA
...

Expected results:
actual server version
Comment 1 Lukas Krejci 2013-10-01 11:21:29 EDT
Note that this is not a regression.

Update from JON 3.1.0.GA to JON 3.1.2.GA leaves the version in the system settings at 4.4.0.JON310GA, too.
Comment 2 Lukas Krejci 2013-10-01 11:52:26 EDT
The SystemSetting.SERVER_VERSION seems to have been abandonded and is not used for anything in JON's codebase.

The version information is available using SystemManager.productInfo

It has attributes like "name", "shortName", "version", "buildNumber", etc. that identify the server, too.

I guess the solution here is to deprecate SystemSetting.SERVER_VERSION.
Comment 3 Lukas Krejci 2013-10-01 13:38:32 EDT
commit 3ab3dd077d3750536da6528df506c88c7435b31b
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Tue Oct 1 18:04:30 2013 +0200

    [BZ 1011971] - Deprecate SystemSetting.SERVER_VERSION
    
    We have equivalent, more detailed, always up-to-date and per-server
    information available in SystemManagerRemote.getProductInfo().
    
    SERVER_VERSION would not be updated during server upgrades (this is
    old behavior present at least as of RHQ 4.4.0).
Comment 4 Simeon Pinder 2013-10-24 00:10:21 EDT
Moving to ON_QA for testing in the next build.
Comment 5 Filip Brychta 2013-10-30 06:45:34 EDT
Verified on 
Version: 3.2.0.ER4
Build Number: e413566:057b211

Note You need to log in before you can comment on or make changes to this bug.